Subject: Re: [dtn] Éric Vyncke's No Objection on charter-ietf-dtn-01-00: (with COMMENT)

From: Zaheduzzaman Sarker <[email-masked]>
Date: Sat, 30 Oct 2021 19:18:03 +0000

Hi Eric,

We tried to address your comments in the updated rechartering text (https://datatracker.ietf.org/doc/charter-ietf-dtn/). Please have a look.

BR
Zahed

On 2021-09-09, 15:43, "dtn on behalf of Eric Vyncke (evyncke)" <[email-masked] on behalf of evyncke=[email-masked]> wrote:

    Thank you Rick for your quick reply and the added pieces of information. I understand the issue with 'neighbor discovery' ;-) but what is in a name ? let's not spin too many cycles on this issue

    Regards

    -éric

    -----Original Message-----
    From: Rick Taylor <[email-masked]>
    Date: Wednesday, 8 September 2021 at 11:17
    To: Eric Vyncke <[email-masked]>, The IESG <[email-masked]>
    Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
    Subject: RE: Éric Vyncke's No Objection on charter-ietf-dtn-01-00: (with COMMENT)

        Hi Eric,

        Thanks for the review and comments, my responses inline...

        Cheers,

        Rick

        > -----Original Message-----
        > From: Éric Vyncke via Datatracker [mailto:[email-masked]]
        > Sent: 02 September 2021 07:48
        > To: The IESG
        > Cc: [email-masked]; [email-masked]; [email-masked]
        > Subject: Éric Vyncke's No Objection on charter-ietf-dtn-01-00: (with
        > COMMENT)
        > 
        > Éric Vyncke has entered the following ballot position for
        > charter-ietf-dtn-01-00: No Objection
        > 
        > When responding, please keep the subject line intact and reply to all
        > email addresses included in the To and CC lines. (Feel free to cut this
        > introductory paragraph, however.)
        > 
        > 
        > 
        > The document, along with other ballot positions, can be found here:
        > https://datatracker.ietf.org/doc/charter-ietf-dtn/
        > 
        > 
        > 
        > ----------------------------------------------------------------------
        > COMMENT:
        > ----------------------------------------------------------------------
        > 
        > This WG is one of the most fascinating IMHO.
        > 
        > Glad to read "Multiple independent implementations exist for these
        > technologies
        > and multiple deployments in space and terrestrial environments,": this is
        > useful to make a decision on the rechartering.
        > 
        > Some questions:
        > 
        > 1/ for the work item "An architecture for Naming, Addressing and
        > Forwarding",
        > the description is mainly/only about naming. Suggest to add a little more on
        > addressing and forwarding.

        Good point, we will an additional sentence giving a bit more detail on forwarding.  Fundamentally, names and addresses are deeply bound together with forwarding, and DTN already specifies a lot of that detail in BPv7, but it is not obvious (or entirely fleshed out yet), so some more detail in the charter is useful.

        > 
        > 2/ I wonder why OAM and key management are put in the same bullet as the
        > problems and use cases for OAM & key management are probably different.

        This is purely for convenience.  They are both "management" topics, and in fact Key Management may build on the more generic management protocols.

        > 
        > 3/ protocol extensions, it is unclear to me what is the intend here. E.g.,
        > about tunneling, is it to tunnel bundles over an underlay or is it to tunnel
        > other protocols over a DTN underlay? The list of work items makes it a little
        > clearer though but consistency among the work item lists and the 3 work
        > categories would be a plus.

        I understand this is less clear for a newcomer, but there is work already underway for Bundle-in-bundle tunnelling - i.e. staying within the DTN 'layer'.

        > 
        > 4/ is there any chance to have another name for 'neighbor discovery' as it
        > collides with IPv6 NDP ;-)

        Good point, I have suggested Neighbour/Peer Discovery, as a lot of the good names are already in use, e.g. Neighbourhood Discovery Protocol (NHDP = MANET), Neighbour Discovery (NDP = IPv6).  We might end up with 'Next-hop Discovery' or whatever.  I think the concept is clear (and we have authors ready to start) but I'd like to argue about the actual names in the WG.

        > 
        > Finally, I would like to have a mention of cross-WG last calls somewhere in
        > the
        > charter as there are potential overlaps (e.g., other WG have experiences
        > members on tunneling, ops, data models, naming).

        We will explicitly call this out at the end of the charter text. We have, and will continue to liaise with every relevant group as often as possible.

        Cheers,

        Rick

    _______________________________________________
    dtn mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/dtn